* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: #f4f4f4;
    color: #222;
}


header {
    background-color: #1f4e79;
    color: white;
}

#course-title {
    display: block;
    text-align: center;
    padding: 1rem;
    font-size: 1.8rem;
    font-weight: 600;
}



nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #2d2d2d;
    padding: 1rem;
}

nav a {
    color: white;
    text-decoration: none;
    font-weight: 500;
    transition: 0.3s ease;
}

nav a:hover {
    color: #ffd700;
    transform: scale(1.05);
}

main {
    max-width: 1200px;
    margin: 2rem auto;
    padding: 1rem;

    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
}

main h1 {
    grid-column: 1 / 3;
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 1rem;
}


.card {
    background-color: white;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    padding-bottom: 1rem;
}

.card h2 {
    background-color: #1f4e79;
    color: white;
    text-align: center;
    padding: 1rem;
    margin-bottom: 1rem;
}

.card img {
    display: block;
    margin: 1rem auto;
    max-width: 90%;
    height: auto;
    border-radius: 8px;
}

.card p {
    padding: 0 1.5rem 1rem;
    line-height: 1.7;
    text-align: justify;
}



footer {
    background-color: #1f4e79;
    color: white;
    text-align: center;
    padding: 1rem;
    margin-top: 2rem;
}

footer p {
    margin: 0.3rem;
}

#lastModified {
    color: #ffd700;
    font-size: 0.9rem;
}



@media (max-width: 768px) {

    nav {
        flex-direction: column;
        gap: 1rem;
    }

    main {
        grid-template-columns: 1fr;
    }

    main h1 {
        grid-column: 1 / 2;
    }
}